##parameters=key=None
# $Id: sessions_voc.py 1736 2007-05-04 15:30:11Z henrik $
"""
Return the sessions as an vocabulary

"""
if key is None:
    l = [('unknown','unknown')]
    for y in range(1998,2008):
        l.append( ('%s' % str(y)[-2:],'%4d/%4d' % (y,y+1)))
    return l

if len(key) != 2:
    return "invalid Session %s" % key
try:
    y = int(key)
except:
    return "invalid Session %s" % key
if y < 90:
    cent = 2000
else:
    cent = 1900
return "%4d/%4d" % (cent+y, cent+y+1)

